TR(1)

BEZEICHNUNG
tr - Zeichen umwandeln oder löschen

ÜBERSICHT
tr [OPTION]… ZEICHENKETTE1 [ZEICHENKETTE2]

BESCHREIBUNG

Zeichen aus der Standardeingabe umwandeln, verdichten oder löschen und in die Standardausgabe schreiben. ZEICHENKETTE1 und ZEICHENKETTE2 geben die Zeichenmengen MENGE1 und MENGE2 an, die die Aktion steuern.

-c, -C, --complement
    Das Komplement von MENGE1 benutzen

-d, --delete
    Zeichen aus MENGE1 löschen, nicht umwandeln

-s, --squeeze-repeats
    Jede Sequenz mit sich wiederholenden Zeichen aus der zuletzt angegebenen MENGE durch ein einziges Vorkommen dieses Zeichens ersetzen

-t, --truncate-set1
    Zuerst MENGE1 auf die Länge von MENGE2 kürzen

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

MENGEn werden als Zeichenketten angegeben. Die meisten Zeichen stehen für sich selbst. Interpretierte Folgen sind:

\NNN
    Zeichen mit Oktalwert NNN (1 bis 3 oktale Ziffern)

\\  Rückschrägstrich (»backslash«)

\a  Hörbarer Ton (Piep)

\b  Rückschritt (»backspace«)

\f  Seitenvorschub

\n  Zeilenumbruch

\r  Wagenrücklauf

\t  Horizontaler Tabulator

\v  Vertikaler Tabulator

ZEICHEN1-ZEICHEN2
    Alle Zeichen von ZEICHEN1 bis ZEICHEN2 in aufsteigender Reihenfolge

[ZEICHEN*]
    In MENGE2 Kopien von ZEICHEN bis zur Länge von MENGE1

[ZEICHEN*ANZAHL]
    ANZAHL Kopien von ZEICHEN, ANZAHL ist oktal, wenn sie mit 0 beginnt

[:alnum:]
    Alle Buchstaben und Ziffern

[:alpha:]
    Alle Buchstaben

[:blank:]
    Alle horizontalen Leerräume (»whitespace«)

[:cntrl:]
    Alle Steuerzeichen

[:digit:]
    Alle Ziffern

[:graph:]
    Alle druckbaren Zeichen, ohne Leerzeichen

[:lower:]
    Alle Kleinbuchstaben

[:print:]
    Alle druckbaren Zeichen, einschließlich Leerzeichen

[:punct:]
    Alle Satzzeichen

[:space:]
    Alle horizontalen oder vertikalen Leerräume (»whitespace«)

[:upper:]
    Alle Großbuchstaben

[:xdigit:]
    Alle hexadezimalen Ziffern

[=ZEICHEN=]
    Alle Zeichen, die äquivalent zu ZEICHEN sind

Wandlung wird durchgeführt, wenn -d nicht angegeben wurde und sowohl ZEICHENKETTE1 als auch ZEICHENKETTE2 angegeben sind. -t ist nur bei Wandlung von Bedeutung. MENGE2 wird, wenn nötig, durch Wiederholung des letzten Zeichens auf die Länge von MENGE1 vergrößert. Zusätzliche Zeichen in MENGE2 werden ignoriert. Zeichenklassen werden in unbestimmter Reihenfolge expandiert. In MENGE2 dürfen »[:lower:]« und »[:upper:]« zum Wandeln in Paaren benutzt werden, um eine Groß-/Kleinschreibung anzuzeigen. Verdichten erscheint nach Wandlung und Löschung. Argumente wie »[…]« sollten durch englische Anführungszeichen geschützt werden, um mögliches Shell-Globbing zu vermeiden.

FEHLER

Vollständige Unterstützung ist nur für sichere Einzelbyte-Locales verfügbar, in welchen jedes mögliche Eingabebyte nur ein einzelnes Zeichen repräsentiert. Die C-Locale ist auf GNU-Systemen sicher, so dass Sie dieses Problem in der Shell umgehen können, indem Sie LC_ALL=C tr anstatt eines einfachen tr ausführen.

AUTOR
Geschrieben von Jim Meyering.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: https://www.gnu.org/software/coreutils/
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/tr>
oder lokal verfügbar mit: info '(coreutils) tr invocation'

Paketiert durch Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer https://gnu.org/licenses/gpl.html
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).